[Pkg-acpi-devel] Bug#612628: udev: removal of uinput rule breaks acpi-fakekey

Sven Joachim svenjoac at gmx.de
Wed Feb 9 16:56:30 UTC 2011

Package: udev
Version: 165-1
Severity: important
X-Debbugs-CC: Debian Acpi Team <pkg-acpi-devel at lists.alioth.debian.org>

The removal of the input/uinput symlink breaks the acpi-fakekey package
whose initscript now refuses to start:

| # /etc/init.d/acpi-fakekey start
| Starting acpi_fakekey daemon...open device: No such file or directory
| failed (Could not start /usr/sbin/acpi_fakekeyd).

Running under strace confirms that /dev/input/uinput is the file
acpi_fakeyd was looking for.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (101, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.38-rc4-nouveau+ (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages udev depends on:
ii  debconf [debconf-2.0]        1.5.38      Debian configuration management sy
ii  libc6                        2.11.2-11   Embedded GNU C Library: Shared lib
ii  libselinux1                  2.0.96-1    SELinux runtime shared libraries
ii  libudev0                     165-1       libudev shared library
ii  libusb-0.1-4                 2:0.1.12-17 userspace USB programming library
ii  lsb-base                     3.2-27      Linux Standard Base 3.2 init scrip
ii  util-linux                   2.17.2-9    Miscellaneous system utilities

Versions of packages udev recommends:
ii  pciutils                      1:3.1.7-6  Linux PCI Utilities
ii  usbutils                      1:001-1    Linux USB utilities

udev suggests no packages.

-- debconf information:
  udev/new_kernel_needed: false

More information about the Pkg-acpi-devel mailing list